[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.GetInterfaceWeak

Get a reference to an interface, not increasing the reference count

## Declaration

Source position: objpash.inc line 232

`public function TObject.GetInterfaceWeak(`
`const iid: TGuid;`
`out obj`
`):Boolean;`

## Description

GetInterfaceWeak performs the same function as Getinterface, but unlike the latter, it will not increase the reference count of the interface.

## See also

TObject.GetInterface |  | Return a reference to an interface

Documentation generated on: Feb 26 2014